# Generated from genprovider-0.2.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name genprovider

Name: rubygem-%{gem_name}
Version: 0.2.3
Release: 1%{?dist}
Summary: A generator for Ruby based CIM providers
License: Ruby
URL: https://github.com/kkaempf/genprovider
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(sfcc)
# BuildRequires: rubygem(cucumber)
BuildArch: noarch

%description
Generates Ruby provider templates for use with cmpi-bindings.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# cucumber
popd

%files
%dir %{gem_instdir}
%{_bindir}/genprovider
%{_bindir}/regprovider
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/samples
%{gem_instdir}/sfcbd
%{gem_instdir}/stress.sh
%{gem_instdir}/tasks
%{gem_instdir}/valgrind
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/features
%{gem_instdir}/genprovider.gemspec
%{gem_instdir}/test

%changelog
* Tue Apr 19 2022 mockbuilder - 0.2.3-1
- Initial package
